@article{Gander2006,
   abstract = {We analyze the convergence of the overlapping Schwarz waveform relaxation algorithm applied to convection-dominated nonlinear conservation laws in one spatial dimension. For two subdomains and bounded time intervals we prove superlinear asymptotic convergence of the algorithm in the parabolic case and convergence in a finite number of steps in the hyperbolic limit. The convergence results depend on the overlap, the viscosity, and the length of the time interval under consideration, but they are independent of the number of subdomains, as a generalization of the results to many subdomains shows. To investigate the behavior of the algorithm for a long time, we apply it to the Burgers equation and use a steady state argument to prove that the algorithm converges linearly over long time intervals. This result reveals an interesting paradox: while for the superlinear convergence rate on bounded time intervals decreasing the viscosity improves the performance, in the linear convergence regime decreasing the viscosity slows down the convergence rate and the algorithm can converge arbitrarily slowly, if there is a standing shock wave in the overlap. We illustrate our theoretical results with numerical experiments. © 2005 Society for Industrial and Applied Mathematics.},
   author = {Martin J. Gander and Christian Rohde},
   doi = {10.1137/030601090},
   issn = {10648275},
   issue = {2},
   journal = {SIAM Journal on Scientific Computing},
   keywords = {Domain decomposition,Nonlinear conservation laws,Schwarz methods,Waveform relaxation},
   pages = {415-439},
   title = {Overlapping Schwarz waveform relaxation for convection-dominated nonlinear conservation laws},
   volume = {27},
   year = {2006},
}
@report{,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an innnite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. This paper considers several Schwarz Alternating Methods for nonlinear elliptic problems. We show that Schwarz Alternating Methods can be imbedded in the framework of common techniques such as Banach and Schauder xed point methods and Global Inversion methods used to solve these nonlinear problems.},
   author = {S H Lui},
   keywords = {65J15,Schwarz alternating method AMS subject classiications 65N55,domain decomposition,nonlinear elliptic PDE},
   title = {ON SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES},
}
@report{M2an2001,
   abstract = {The Schwarz alternating method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz alternating methods for nonlinear elliptic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well as some coupled nonlinear PDEs are shown to converge for finitely many subdomains. These results are applicable to several models in population biology. Mathematics Subject Classification. 65N55, 65J15.},
   author = {Esaim : M2an and Shiu-Hong Lui},
   issue = {1},
   journal = {Modélisation Mathématique et Analyse Numérique},
   pages = {1-15},
   title = {Mathematical Modelling and Numerical Analysis ON MONOTONE AND SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES *},
   volume = {35},
   year = {2001},
}
@report{Lui2000,
   abstract = {The Schwarz alternating method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. This paper considers several Schwarz alternating methods for nonlinear elliptic problems. We show that Schwarz alternating methods can be embedded in the framework of common techniques such as Banach and Schauder fixed point methods and global inversion methods used to solve these nonlinear problems. 1. Introduction. The Schwarz alternating method was devised by H. A. Schwarz more than 100 years ago to solve linear boundary value problems. It has garnered interest recently because of its potential as an efficient algorithm for parallel computers. See the fundamental work of Lions in [11] and [12]. The literature on this method for the linear boundary value problem is huge; see the recent reviews of Chan and Mathew [6] and Le Tallec [19] and the book of Smith, Bjorstad, and Gropp [14]. The literature for nonlinear problems is rather sparse. Besides Lions's works, see also Cai and Dryja [3], Tai [15], Xu [20], Dryja and Hackbusch [7], Tai and Espedal [16], Tai and Xu [18], Tai and Tseng [17], and references therein. The effectiveness of Schwarz methods for nonlinear problems has been demonstrated in many papers. See the proceedings of the annual domain decomposition conferences beginning with [10]. We mention in particular the Newton-Krylov-Schwarz framework adopted in [4] and [5]. In this paper, we prove the convergence of the Schwarz sequence for some nonlinear elliptic PDEs. We do not attempt to define the largest possible class of problems or give the weakest condition under which the Schwarz alternating method converges. The main aim is rather to illustrate that this remarkable method works for a wide variety of nonlinear elliptic PDEs. This paper is mostly concerned with multiplicative nonlinear Schwarz methods for two subdomains and they are discussed in the next section. In this class of methods, a nonlinear problem is solved in the first subdomain followed by a nonlinear problem in the second subdomain. This is repeated until convergence to a desired accuracy has been reached. We shall consider three types of nonlinear elliptic PDEs corresponding to three theories used to show existence of solutions to these PDEs. The three theories are the Banach fixed point theory, the Schauder fixed point theory, and the theory of global inversion. They are among the most well-known tools in nonlinear analysis. Nonlinear PDEs are difficult to handle because of the infinite variety of nonlinearities},
   author = {S H Lui and Siam J Sci Comput},
   issue = {4},
   journal = {Society for Industrial and Applied Mathematics},
   keywords = {65J15,Schwarz alternating method AMS subject classifications 65N55,domain decomposition,nonlinear elliptic PDE},
   pages = {1506-1523},
   title = {ON SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES *},
   volume = {21},
   url = {http://www.siam.org/journals/ojsa.php},
   year = {2000},
}
@article{Lui2003,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz Alternating Methods for nonlinear parabolic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well some coupled nonlinear PDEs are shown to converge to the solution on finitely many subdomains. In the coupled system case, each subdomain PDE is linear, decoupled and can be solved concurrently with other subdomain PDEs. These results are applicable to several models in population biology. The convergence behavior is illustrated by two numerical examples. © 2003 Elsevier B.V. All rights reserved.},
   author = {S. H. Lui},
   doi = {10.1016/j.cam.2003.06.001},
   issn = {03770427},
   issue = {2},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Domain decomposition,Monotone methods,Nonlinear parabolic PDE,Schwarz alternating method,Subsolution,Supersolution},
   month = {12},
   pages = {449-468},
   publisher = {Elsevier},
   title = {On monotone iteration and Schwarz methods for nonlinear parabolic PDEs},
   volume = {161},
   year = {2003},
}
@article{Lui2014,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an innnite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz Alternating Methods for nonlinear elliptic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well some coupled nonlinear PDEs are shown to converge to some solution on nitely many subdomains, even when multiple solutions are possible. In the coupled system case, each subdomain PDE is linear, decoupled and can be solved concurrently with other subdomain PDEs. These results are applicable to several models in population biology.},
   author = {Shaun Lui and S H Lui},
   doi = {10.1007/s002110100349},
   keywords = {65J15,Schwarz alternating method,domain decomposition,mono-tone methods,nonlinear elliptic PDE,subsolution,supersolution AMS subject classiications 65N55},
   title = {On linear monotone iteration and Schwarz methods for nonlinear elliptic PDES},
   url = {https://www.researchgate.net/publication/227304435},
   year = {2014},
}
@report{,
   author = {Shiu Hong Lui},
   journal = {Contemporary Mathematics},
   title = {On Schwarz Alternating Methods for Nonlinear Elliptic Problems},
   volume = {218},
   year = {1998},
}
@article{Moro2015,
   abstract = {Novel basis functions are proposed for enforcing continuity constraints in 3-D elliptic problems discretized by non-conforming domain decomposition methods. The major advantage over standard coupling methods is that the projection matrix, mapping degrees of freedom from master to slave surface, can be constructed with minimum computing effort since the slave matrix is diagonal. The accuracy of matching conditions and convergence properties of the method are tested on a benchmark problem.},
   author = {Federico Moro and Massimo Guarnieri},
   doi = {10.1109/TMAG.2014.2352034},
   issn = {00189464},
   issue = {3},
   journal = {IEEE Transactions on Magnetics},
   keywords = {Domain decomposition (DD),finite element method (FEM),finite integration technique (FIT),mortar method,parallel computing},
   month = {3},
   note = {Direct example of use of PANG},
   publisher = {Institute of Electrical and Electronics Engineers Inc.},
   title = {Efficient 3-D domain decomposition with dual basis functions},
   volume = {51},
   year = {2015},
}
@article{Ciarlet2017,
   abstract = {We analyze matching and non-matching domain decomposition methods for the numerical approximation of the mixed diffusion equations. Special attention is paid to the case where the solution is of low regularity. Such a situation commonly arises in the presence of three or more intersecting material components with different characteristics. The domain decomposition method can be non-matching in the sense that the traces of the finite element spaces may not fit at the interface between subdomains. We prove well-posedness of the discrete problem, that is solvability of the corresponding linear system, provided two algebraic conditions are fulfilled. If moreover the conditions hold independently of the discretization, convergence is ensured.},
   author = {P. Ciarlet and E. Jamelot and F.D. Kpadonou},
   doi = {10.1016/J.CAMWA.2017.07.017},
   issn = {0898-1221},
   issue = {10},
   journal = {Computers & Mathematics with Applications},
   month = {11},
   note = {Direct example of use of PANG},
   pages = {2369-2384},
   publisher = {Pergamon},
   title = {Domain decomposition methods for the diffusion equation with low-regularity solution},
   volume = {74},
   url = {https://www.sciencedirect.com/science/article/pii/S0898122117304340},
   year = {2017},
}
@article{Lui1999,
   author = {S Lui},
   doi = {10.1137/S1064827597327553},
   issue = {4},
   journal = {SIAM Journal on Scientific Computing},
   pages = {1506-1523},
   title = {On Schwarz Alternating Methods for Nonlinear Elliptic PDEs},
   volume = {21},
   url = {https://doi.org/10.1137/S1064827597327553},
   year = {1999},
}
@inproceedings{Gander2017,
   abstract = {The idea of preconditioning iterative methods for the solution of linear systems goes back to Jacobi (Astron Nachr 22(20):297-306, 1845), who used rotations to obtain a system with more diagonal dominance, before he applied what is now called Jacobis method. The preconditioning of linear systems for their solution by Krylov methods has become a major field of research over the past decades, and there are two main approaches for constructing preconditioners: either one has very good intuition and can propose directly a preconditioner which leads to a favorable spectrum of the preconditioned system, or one uses the splitting matrix of an effective stationary iterative method like multigrid or domain decomposition as the preconditioner. Much less is known about the preconditioning of non-linear systems of equations. The standard iterative solver in that case is Newton’s method (1671) or a variant thereof, but what would it mean to precondition the non-linear problem? An important contribution in this field is ASPIN (Additive Schwarz Preconditioned Inexact Newton) by Cai and Keyes (SIAM J Sci Comput 24(1):183-200, 2002), where the authors use their intuition about domain decomposition methods to propose a transformation of the non-linear equations before solving them by an inexact Newton method. Using the relation between stationary iterative methods and preconditioning for linear systems, we show in this presentation how one can systematically obtain a non-linear preconditioner from classical fixed point iterations, and present as an example a new two level non-linear preconditioner called RASPEN (Restricted Additive Schwarz Preconditioned Exact Newton) with substantially improved convergence properties compared to ASPIN.},
   author = {Martin J. Gander},
   doi = {10.1007/978-3-319-52389-7_14},
   isbn = {9783319523880},
   issn = {14397358},
   journal = {Lecture Notes in Computational Science and Engineering},
   pages = {153-161},
   publisher = {Springer Verlag},
   title = {On the origins of linear and non-linear preconditioning},
   volume = {116},
   url = {https://link.springer.com/chapter/10.1007/978-3-319-52389-7_14},
   year = {2017},
}
@article{Dolean2016,
   abstract = {For linear problems, domain decomposition methods can be used directly as iterative solvers but also as preconditioners for Krylov methods. In practice, Krylov acceleration is almost always used, since the Krylov method finds a much better residual polynomial than the stationary iteration and thus converges much faster. We show in this paper that also for nonlinear problems, domain decomposition methods can be used either directly as iterative solvers or as preconditioners for Newton's method. For the concrete case of the parallel Schwarz method, we show that we obtain a preconditioner we call RASPEN (restricted additive Schwarz preconditioned exact Newton), which is similar to ASPIN (additive Schwarz preconditioned inexact Newton) but with all components directly defined by the iterative method. This has the advantage that RASPEN already converges when used as an iterative solver, in contrast to ASPIN, and we thus get a substantially better preconditioner for Newton's method. The iterative construction also allows us to naturally define a coarse correction using the multigrid full approximation scheme, which leads to a convergent two-level nonlinear iterative domain decomposition method and a two level RASPEN nonlinear preconditioner. We illustrate our findings with numerical results on the Forchheimer equation and a nonlinear diffusion problem.},
   author = {V Dolean and M J Gander and W Kheriji and F Kwok ¶ and R Masson},
   doi = {10.1137/15M102887X},
   issue = {6},
   journal = {SIAM J. SCI. COMPUT},
   keywords = {65F10,65N22,nonlinear preconditioning,preconditioning Newton's method AMS subject classifications 65M55,two-level nonlinear Schwarz methods},
   pages = {3357-3380},
   title = {NONLINEAR PRECONDITIONING: HOW TO USE A NONLINEAR SCHWARZ METHOD TO PRECONDITION NEWTON'S METHOD *},
   volume = {38},
   url = {http://www.siam.org/journals/sisc/38-6/M102887.html},
}
@report{Cai2002,
   abstract = {Inexact Newton algorithms are commonly used for solving large sparse nonlinear system of equations F (u *) = 0 arising, for example, from the discretization of partial differential equations. Even with global strategies such as linesearch or trust region, the methods often stagnate at local minima of F , especially for problems with unbalanced nonlinearities, because the methods do not have built-in machinery to deal with the unbalanced nonlinearities. To find the same solution u * , one may want to solve instead an equivalent nonlinearly preconditioned system F (u *) = 0 whose nonlinearities are more balanced. In this paper, we propose and study a nonlinear additive Schwarz-based parallel nonlinear preconditioner and show numerically that the new method converges well even for some difficult problems, such as high Reynolds number flows, where a traditional inexact Newton method fails. Key words. nonlinear preconditioning, inexact Newton methods, Krylov subspace methods, nonlinear additive Schwarz, domain decomposition, nonlinear equations, parallel computing, incom-pressible flows AMS subject classifications. 65F10, 65H10, 65H20, 65N06, 65N12, 65N22, 65N55, 65Y05, 76D05 PII. S106482750037620X 1. Introduction. Many computational engineering problems require the numerical solution of large sparse nonlinear system of equations, i.e., for a given nonlinear function F : R n → R n , compute a vector u * ∈ R n such that},
   author = {Xiao-chuan Cai and David E Keyes and Siam J Sci Comput},
   issue = {1},
   journal = {Society for Industrial and Applied Mathematics},
   pages = {183-200},
   title = {NONLINEARLY PRECONDITIONED INEXACT NEWTON ALGORITHMS *},
   volume = {24},
   url = {http://www.siam.org/journals/sisc/24-1/37620.html},
   year = {2002},
}
